Error warnings upon startup

2018-03-08 06:23 AM - Garth Fletcher

Status: Open

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.0.0 Regression?: No

Operating System: Mac OS X 10.12.6 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26271

Description

The appended warnings and error messages appear in the Log Messages as soon as QGIS is started (and before any project is

opened).  The first two, General and Plugins, appear OK but are included to provide context.  The potential problem areas show up in

Python Warning and Processing.  I don't know whether these errors are significant...

------------------

General

------------------

2018-03-08T00:12:58    INFO    QGIS starting…

2018-03-08T00:12:59    INFO    Python support ENABLED :-) 

2018-03-08T00:13:07    INFO    Application state:

            QGIS_PREFIX_PATH env var:        

            Prefix:        /Applications/MacPorts/Qgis3.app/Contents/MacOS

            Plugin Path:        /Applications/MacPorts/Qgis3.app/Contents/MacOS/../PlugIns/qgis

            Package Data Path:    /Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources

            Active Theme Name:    default

            Active Theme Path:    /Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/resources/themes/default/icons/

            Default Theme Path:    :/images/themes/default/

            SVG Search Paths:    /Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/svg/

                    /Users/garthfletcher/Library/Application Support/QGIS/QGIS3/profiles/default/svg/

            User DB Path:    /Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/resources/qgis.db

            Auth DB Path:    /Users/garthfletcher/Library/Application Support/QGIS/QGIS3/profiles/default/qgis-auth.db

2018-03-08T00:13:07    INFO    QGIS Ready!

------------------

Plugins

------------------

2018-03-08T00:12:59    INFO    Loaded DB Manager (package: db_manager)

2018-03-08T00:13:02    INFO    Loaded MetaSearch Catalog Client (package: MetaSearch)

2018-03-08T00:13:07    INFO    Loaded Processing (package: processing)

------------------

Processing:

------------------

2018-03-08T00:13:05    WARNING    Duplicate parameter coordinates registered for alg v.net.visibility

2018-03-08T00:13:06    CRITICAL    Problem with SAGA installation: SAGA was not found or is not correctly installed

------------------

Python warning
------------------

2018-03-08T00:13:02    WARNING   

warning:/opt/local/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/PyQt5/uic/objcreator.py:152:

DeprecationWarning: 'U' mode is deprecated

              plugin = open(filename, 'rU')

traceback:  File "&lt;string&gt;", line 1, in &lt;module&gt;

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 336, in startPlugin

                plugins[packageName] = package.classFactory(iface)

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/MetaSearch/__init__.py", line 29,

in classFactory

                from MetaSearch.plugin import MetaSearchPlugin

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/MetaSearch/plugin.py", line 34,

in &lt;module&gt;

                from MetaSearch.dialogs.maindialog import MetaSearchDialog

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File

"/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/MetaSearch/dialogs/maindialog.py", line 51, in

&lt;module&gt;

                from MetaSearch.dialogs.manageconnectionsdialog import ManageConnectionsDialog

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File

"/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/MetaSearch/dialogs/manageconnectionsdialog.py", line 38, in

g.py", line 38, in &lt;module&gt;

                BASE_CLASS = get_ui_class('manageconnectionsdialog.ui')

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/MetaSearch/util.py", line 70, in

get_ui_class

                return loadUiType(ui_file_full)[0]

              File "/opt/local/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/PyQt5/uic/_init__.py",

line 198, in loadUiType

                winfo = compiler.UICompiler().compileUi(uifile, code_string, from_imports, resource_suffix, import_from)

              File

"/opt/local/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/PyQt5/uic/Compiler/compiler.py", line

53, in init

                qtproxies.QtWidgets, CompilerCreatorPolicy())
              File "/opt/local/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/PyQt5/uic/uiparser.py",

line 177, in init

                self.factory = QObjectCreator(creatorPolicy)

              File "/opt/local/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/PyQt5/uic/objcreator.py",

line 85, in init

                if self.load_plugin(filename, plugin_globals, plugin_locals):

              File "/opt/local/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/PyQt5/uic/objcreator.py",

line 152, in load_plugin

                plugin = open(filename, 'rU')

2018-03-08T00:13:02    WARNING   

warning:/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py:664: DeprecationWarning: the imp module

is deprecated in favour of importlib; see the module's documentation for alternative uses

              mod = _builtin_import(name, globals, locals, fromlist, level)

traceback:  File "&lt;string&gt;", line 1, in &lt;module&gt;

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 301, in loadPlugin

                import(packageName)

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/_init__.py", line 28, in

&lt;module&gt;

                from processing.tools.dataobjects import *          # NOQA

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File

"/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/tools/dataobjects.py", line 51, in

&lt;module&gt;

                from processing.algs.gdal.GdalUtils import GdalUtils

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File

"/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/algs/gdal/GdalUtils.py", line 35, in

&lt;module&gt;

                from osgeo import gdal

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked
              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/opt/local/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/osgeo/_init__.py", line

21, in &lt;module&gt;

                gdal = swig_import_helper()

              File "/opt/local/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/osgeo/_init__.py", line

8, in swig_import_helper

                import imp

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/opt/local/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/imp.py", line 33, in &lt;module&gt;

                DeprecationWarning, stacklevel=2)

2018-03-08T00:13:03    WARNING   

warning:/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/algs/qgis/DefineProjection.py:78:

DeprecationWarning: invalid escape sequence \|

              p = re.compile('\|.*')

traceback:  File "&lt;string&gt;", line 1, in &lt;module&gt;

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 301, in loadPlugin

                import(packageName)

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/_init__.py", line 29, in

&lt;module&gt;

                from processing.tools.general import *              # NOQA

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/tools/general.py", line

39, in &lt;module&gt;

                from processing.core.Processing import Processing

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed
              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/core/Processing.py",

line 57, in &lt;module&gt;

                from processing.algs.qgis.QgisAlgorithmProvider import QgisAlgorithmProvider  # NOQA

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File

"/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/algs/qgis/QgisAlgorithmProvider.py", line 52, in &lt

", line 52, in &lt;module&gt;

                from .DefineProjection import DefineProjection

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 674, in exec_module

              File "&lt;frozen importlib._bootstrap_external&gt;", line 781, in get_code

              File "&lt;frozen importlib._bootstrap_external&gt;", line 741, in source_to_code

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

2018-03-08T00:13:04    WARNING   

warning:/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/tools/spatialite.py:69:

DeprecationWarning: invalid escape sequence \d

              v = [int(x) if x.isdigit() else x for x in re.findall("\d+|[a-zA-Z]+", rep

0

[0])]

traceback:  File "&lt;string&gt;", line 1, in &lt;module&gt;

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 301, in loadPlugin

                import(packageName)

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/_init__.py", line 29, in

&lt;module&gt;

                from processing.tools.general import *              # NOQA

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/tools/general.py", line

39, in &lt;module&gt;

                from processing.core.Processing import Processing

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)
              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/core/Processing.py",

line 57, in &lt;module&gt;

                from processing.algs.qgis.QgisAlgorithmProvider import QgisAlgorithmProvider  # NOQA

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File

"/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/algs/qgis/QgisAlgorithmProvider.py", line 81, in &lt

", line 81, in &lt;module&gt;

                from .ImportIntoSpatialite import ImportIntoSpatialite

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File

"/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/algs/qgis/ImportIntoSpatialite.py",

line 41, in &lt;module&gt;

                from processing.tools import spatialite

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 1023, in _handle_fromlist

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 674, in exec_module

              File "&lt;frozen importlib._bootstrap_external&gt;", line 781, in get_code

              File "&lt;frozen importlib._bootstrap_external&gt;", line 741, in source_to_code

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

2018-03-08T00:13:04    WARNING   

warning:/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/algs/grass7/Grass7Algorithm.py:105: DeprecationWarning: invalid es

5: DeprecationWarning: invalid escape sequence \s

              self.groupIdRegex = re.compile('^[^\s\(]+')

traceback:  File "&lt;string&gt;", line 1, in &lt;module&gt;

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 301, in loadPlugin

                import(packageName)

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked
              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/_init__.py", line 29, in

&lt;module&gt;

                from processing.tools.general import *              # NOQA

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/tools/general.py", line

39, in &lt;module&gt;

                from processing.core.Processing import Processing

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/core/Processing.py",

line 58, in &lt;module&gt;

                from processing.algs.grass7.Grass7AlgorithmProvider import Grass7AlgorithmProvider

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File

"/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/algs/grass7/Grass7AlgorithmProvider.py", line 38, i

er.py", line 38, in &lt;module&gt;

                from .Grass7Algorithm import Grass7Algorithm

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 674, in exec_module

              File "&lt;frozen importlib._bootstrap_external&gt;", line 781, in get_code

              File "&lt;frozen importlib._bootstrap_external&gt;", line 741, in source_to_code

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

2018-03-08T00:13:04    WARNING   

warning:/opt/local/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/PyQt5/uic/objcreator.py:152:

DeprecationWarning: 'U' mode is deprecated

              plugin = open(filename, 'rU')

traceback:  File "&lt;string&gt;", line 1, in &lt;module&gt;

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 301, in loadPlugin
                import(packageName)

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/_init__.py", line 29, in

&lt;module&gt;

                from processing.tools.general import *              # NOQA

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/tools/general.py", line

39, in &lt;module&gt;

                from processing.core.Processing import Processing

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/core/Processing.py",

line 59, in &lt;module&gt;

                from processing.algs.gdal.GdalAlgorithmProvider import GdalAlgorithmProvider  # NOQA

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File

"/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/algs/gdal/GdalAlgorithmProvider.py", line 36, in &l

y", line 36, in &lt;module&gt;

                from .AssignProjection import AssignProjection

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File

"/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/algs/gdal/AssignProjection.py",

line 35, in &lt;module&gt;

                from processing.algs.gdal.GdalAlgorithm import GdalAlgorithm
              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File

"/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/algs/gdal/GdalAlgorithm.py", line

37, in &lt;module&gt;

                from processing.algs.gdal.GdalAlgorithmDialog import GdalAlgorithmDialog

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File

"/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/algs/gdal/GdalAlgorithmDialog.py", line 46, in &lt;

, line 46, in &lt;module&gt;

                from processing.gui.AlgorithmDialog import AlgorithmDialog

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File

"/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/gui/AlgorithmDialog.py", line 54, in

&lt;module&gt;

                from processing.gui.ParametersPanel import ParametersPanel

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File

"/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/gui/ParametersPanel.py", line 50,

in &lt;module&gt;

                from processing.gui.DestinationSelectionPanel import DestinationSelectionPanel

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File

"/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/plugins/processing/gui/DestinationSelectionPanel.py", line 53, in &lt;
, line 53, in &lt;module&gt;

                os.path.join(pluginPath, 'ui', 'widgetBaseSelector.ui'))

              File "/opt/local/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/PyQt5/uic/_init__.py",

line 198, in loadUiType

                winfo = compiler.UICompiler().compileUi(uifile, code_string, from_imports, resource_suffix, import_from)

              File

"/opt/local/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/PyQt5/uic/Compiler/compiler.py", line

53, in init

                qtproxies.QtWidgets, CompilerCreatorPolicy())

              File "/opt/local/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/PyQt5/uic/uiparser.py",

line 177, in init

                self.factory = QObjectCreator(creatorPolicy)

              File "/opt/local/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/PyQt5/uic/objcreator.py",

line 85, in init

                if self.load_plugin(filename, plugin_globals, plugin_locals):

              File "/opt/local/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/PyQt5/uic/objcreator.py",

line 152, in load_plugin

                plugin = open(filename, 'rU')

2018-03-08T00:13:07    WARNING   

warning:/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/pyplugin_installer/installer_data.py:217:

DeprecationWarning: invalid escape sequence \.

              return "?qgis=%s" % re.sub('\.\d*$', '', pyQgisVersion())

traceback:  File "&lt;string&gt;", line 1, in &lt;module&gt;

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/pyplugin_installer/_init__.py", line 33, in

&lt;module&gt;

                from . import installer

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 1023, in _handle_fromlist

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/pyplugin_installer/installer.py", line 39, in

&lt;module&gt;

                from .installer_data import (repositories, plugins, officialRepo,

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 674, in exec_module

              File "&lt;frozen importlib._bootstrap_external&gt;", line 781, in get_code
              File "&lt;frozen importlib._bootstrap_external&gt;", line 741, in source_to_code

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

2018-03-08T00:13:07    WARNING   

warning:/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/pyplugin_installer/version_compare.py:210:

DeprecationWarning: invalid escape sequence \d

              x, y, z = re.findall('^(\d*).(\d*).(\d*)', Qgis.QGIS_VERSION)[0]

traceback:  File "&lt;string&gt;", line 1, in &lt;module&gt;

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/pyplugin_installer/_init__.py", line 33, in

&lt;module&gt;

                from . import installer

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 1023, in _handle_fromlist

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/pyplugin_installer/installer.py", line 39, in

&lt;module&gt;

                from .installer_data import (repositories, plugins, officialRepo,

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 678, in exec_module

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/pyplugin_installer/installer_data.py", line

48, in &lt;module&gt;

                from .version_compare import pyQgisVersion, compareVersions, normalizeVersion, isCompatible

              File "/Applications/MacPorts/Qgis3.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 664, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "&lt;frozen importlib._bootstrap&gt;", line 971, in _find_and_load

              File "&lt;frozen importlib._bootstrap&gt;", line 955, in _find_and_load_unlocked

              File "&lt;frozen importlib._bootstrap&gt;", line 665, in _load_unlocked

              File "&lt;frozen importlib._bootstrap_external&gt;", line 674, in exec_module

              File "&lt;frozen importlib._bootstrap_external&gt;", line 781, in get_code

              File "&lt;frozen importlib._bootstrap_external&gt;", line 741, in source_to_code

              File "&lt;frozen importlib._bootstrap&gt;", line 219, in _call_with_frames_removed

History

#1 - 2018-03-08 08:53 AM - Giovanni Manghi
- Category changed from Unknown to Build/Install

#2 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#3 - 2019-03-09 03:35 PM - Giovanni Manghi

- Resolution deleted (end of life)

- Status changed from Closed to Open
